# Class Escape

java.lang.Object
org.jmol.util.Escape

public class Escape extends Object

## Constructor Summary

Constructors
Constructor
Description
`Escape()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`drawQuat(Quat q, String prefix, String id, P3 ptCenter, float scale)`
`static String`
`e(Object x)`
`static String`
`eAD(double[] dlist)`
`static String`
`eAF(float[] flist)`
`static String`
`eAI(int[] ilist)`
`static String`
`eAP(T3[] plist)`
`static String`
`eAS(String[] list, boolean nicely)`
`static String`
`eBond(BS bs)`
`static String`
`eBS(BS bs)`
`static String`
`encapsulateData(String name, Object data, int depth)`
`static String`
`eP(T3 xyz)`
must be its own, because of the possibility of being null
`static String`
`eP4(P4 x)`
`static String`
`escapeColor(int argb)`
`static String`
`escapeFloatA(float[] f, boolean asArray)`
`static String`
`escapeFloatAA(float[][] f, boolean addSemi)`
`static String`
`escapeFloatAAA(float[][][] f, boolean addSemi)`
`static Object`
`escapeHelical(String id, int tokType, P3 a, P3 b, T3[] pts)`
Jmol-specific post-processing of the array data returned by Measure.computeHelicalAxis
`static String`
`escapeMap(Map<String,Object> ht)`
`static String`
`escapeModelFileNumber(int iv)`
`static String`
`eV(Lst<SV> list)`
`static String`
`getHexColorFromRGB(int argb)`
`static int`
`getHexitValue(char ch)`
`static boolean`
`isAV(Object x)`
`static boolean`
`isStringArray(String s)`
`static String`
`matrixToScript(Object m)`
`static String`
`toReadable(String name, Object info)`
Used only for getProperty("readable",...)
`static Object`
`uABsM(String s)`
`static Object`
`unescapeMatrix(String strMatrix)`
`static String[]`
`unescapeStringArray(String data)`
`static String`
`unescapeUnicode(String s)`
`static Object`
`uP(String strPoint)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Escape

public Escape()

## Method Details

### escapeColor

public static String escapeColor(int argb)

### getHexColorFromRGB

public static String getHexColorFromRGB(int argb)

### eP

public static String eP(T3 xyz)
must be its own, because of the possibility of being null

Parameters:
  `xyz` -
Returns:
  {x y z}

### matrixToScript

public static String matrixToScript(Object m)

### eP4

public static String eP4(P4 x)

### drawQuat

public static String drawQuat(Quat q, String prefix, String id, P3 ptCenter, float scale)

### e

public static String e(Object x)

### eV

public static String eV(Lst<SV> list)

### escapeMap

public static String escapeMap(Map<String,Object> ht)

### escapeFloatA

public static String escapeFloatA(float[] f, boolean asArray)

Parameters:
  `f` -
  `asArray` - -- FALSE allows bypassing of escape(Object f); TRUE: unnecssary
Returns:
  tabular string

### escapeFloatAA

public static String escapeFloatAA(float[][] f, boolean addSemi)

### escapeFloatAAA

public static String escapeFloatAAA(float[][][] f, boolean addSemi)

### eAS

public static String eAS(String[] list, boolean nicely)

Parameters:
  `list` - list of strings to serialize
  `nicely` - TODO
Returns:
  serialized array

### eAI

public static String eAI(int[] ilist)

### eAD

public static String eAD(double[] dlist)

### eAF

public static String eAF(float[] flist)

### eAP

public static String eAP(T3[] plist)

### uABsM

public static Object uABsM(String s)

### isStringArray

public static boolean isStringArray(String s)

### uP

public static Object uP(String strPoint)

### unescapeMatrix

public static Object unescapeMatrix(String strMatrix)

### eBS

public static String eBS(BS bs)

### eBond

public static String eBond(BS bs)

### toReadable

public static String toReadable(String name, Object info)
Used only for getProperty("readable",...)

Parameters:
  `name` -
  `info` -
Returns:
  tabular listing, with array types

### escapeModelFileNumber

public static String escapeModelFileNumber(int iv)

### encapsulateData

public static String encapsulateData(String name, Object data, int depth)

### unescapeUnicode

public static String unescapeUnicode(String s)

### getHexitValue

public static int getHexitValue(char ch)

### unescapeStringArray

public static String[] unescapeStringArray(String data)

### isAV

public static boolean isAV(Object x)

### escapeHelical

public static Object escapeHelical(String id, int tokType, P3 a, P3 b, T3[] pts)
Jmol-specific post-processing of the array data returned by Measure.computeHelicalAxis

Parameters:
  `id` -
  `tokType` -
  `a` -
  `b` -
  `pts` -
Returns:
  various objects depending upon tokType